# Uses of Enum Class
java.text.NumberFormat.Style

Packages that use NumberFormat.Style
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.

- ## Uses of NumberFormat.Style in java.text

  Subclasses with type arguments of type NumberFormat.Style in java.text
  Modifier and Type
  Class
  Description
  `static enum`
  `NumberFormat.Style`
  A number format style.
  Methods in java.text that return NumberFormat.Style
  Modifier and Type
  Method
  Description
  `static NumberFormat.Style`
  NumberFormat.Style.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumberFormat.Style[]`
  NumberFormat.Style.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.text with parameters of type NumberFormat.Style
  Modifier and Type
  Method
  Description
  `static NumberFormat`
  NumberFormat.`getCompactNumberInstance(Locale locale, NumberFormat.Style formatStyle)`
  Returns a compact number format for the specified `locale` and `formatStyle`.

- ## Uses of NumberFormat.Style in java.text.spi

  Methods in java.text.spi with parameters of type NumberFormat.Style
  Modifier and Type
  Method
  Description
  `NumberFormat`
  NumberFormatProvider.`getCompactNumberInstance(Locale locale, NumberFormat.Style formatStyle)`
  Returns a new `NumberFormat` instance which formats a number in its compact form for the specified `locale` and `formatStyle`.